OpenVDB 7.0.0

Namespaces | Typedefs | Functions
openvdb.h File Reference
`#include "Platform.h"`
`#include "Types.h"`
`#include "Metadata.h"`
`#include "math/Maps.h"`
`#include "math/Transform.h"`
`#include "Grid.h"`
`#include "tree/Tree.h"`
`#include "io/File.h"`

Go to the source code of this file.

## Namespaces
| openvdb
| openvdb::v7_0

## Typedefs
using | BoolTree = tree::Tree4< bool, 5, 4, 3 >::Type
| Common tree types. More...
using | DoubleTree = tree::Tree4< double, 5, 4, 3 >::Type
using | FloatTree = tree::Tree4< float, 5, 4, 3 >::Type
using | Int32Tree = tree::Tree4< int32_t, 5, 4, 3 >::Type
using | Int64Tree = tree::Tree4< int64_t, 5, 4, 3 >::Type
using | MaskTree = tree::Tree4< ValueMask, 5, 4, 3 >::Type
using | StringTree = tree::Tree4< std::string, 5, 4, 3 >::Type
using | UInt32Tree = tree::Tree4< uint32_t, 5, 4, 3 >::Type
using | Vec2DTree = tree::Tree4< Vec2d, 5, 4, 3 >::Type
using | Vec2ITree = tree::Tree4< Vec2i, 5, 4, 3 >::Type
using | Vec2STree = tree::Tree4< Vec2s, 5, 4, 3 >::Type
using | Vec3DTree = tree::Tree4< Vec3d, 5, 4, 3 >::Type
using | Vec3ITree = tree::Tree4< Vec3i, 5, 4, 3 >::Type
using | Vec3STree = tree::Tree4< Vec3f, 5, 4, 3 >::Type
using | ScalarTree = FloatTree
using | TopologyTree = MaskTree
using | Vec3dTree = Vec3DTree
using | Vec3fTree = Vec3STree
using | VectorTree = Vec3fTree
using | BoolGrid = Grid< BoolTree >
| Common grid types. More...
using | DoubleGrid = Grid< DoubleTree >
using | FloatGrid = Grid< FloatTree >
using | Int32Grid = Grid< Int32Tree >
using | Int64Grid = Grid< Int64Tree >
using | MaskGrid = Grid< MaskTree >
using | StringGrid = Grid< StringTree >
using | Vec3DGrid = Grid< Vec3DTree >
using | Vec3IGrid = Grid< Vec3ITree >
using | Vec3SGrid = Grid< Vec3STree >
using | ScalarGrid = FloatGrid
using | TopologyGrid = MaskGrid
using | Vec3dGrid = Vec3DGrid
using | Vec3fGrid = Vec3SGrid
using | VectorGrid = Vec3fGrid

## Functions
OPENVDB_IMPORT void | initialize ()
| Global registration of basic types. More...
OPENVDB_IMPORT void | uninitialize ()
| Global deregistration of basic types. More...